var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';

var Alert = function (_React$Component) {
  _inherits(Alert, _React$Component);

  function Alert(props) {
    _classCallCheck(this, Alert);

    var _this = _possibleConstructorReturn(this, (Alert.__proto__ || Object.getPrototypeOf(Alert)).call(this, props));

    _this.state = {
      visible: _this.props.visible === undefined ? true : _this.props.visible
    };
    return _this;
  }

  _createClass(Alert, [{
    key: 'render',
    value: function render() {
      var handleClose = this.handleClose.bind(this);
      var dismissible = this.props.dismissible === undefined ? false : this.props.dismissible;
      var state = this.props.state === undefined ? 'primary' : this.props.state;
      var cssClass = this.props.cssClass === undefined ? '' : this.props.cssClass;
      var visible = this.state.visible;
      return React.createElement(
        'div',
        { className: 'alert alert-' + state + ' ' + (dismissible ? 'alert-dismissible fade show ' : '') + ' ' + cssClass + ' ' + (visible ? '' : '') },
        dismissible && React.createElement(
          'button',
          { type: 'button', className: 'close', 'data-dismiss': 'alert', 'aria-label': 'Close', onClick: handleClose },
          React.createElement(
            'span',
            { 'aria-hidden': 'true' },
            '\xD7'
          )
        ),
        this.props.children
      );
    }
  }, {
    key: 'handleClose',
    value: function handleClose(event) {
      this.setState({
        visible: false
      });
      this.props.onClose(event);
    }
  }]);

  return Alert;
}(React.Component);

export default Alert;